import { StiModelService } from "./model.service";
import { StiMouseService } from "./mouse.service";
import * as i0 from "@angular/core";
export declare class StiChangesService {
    model: StiModelService;
    mouseService: StiMouseService;
    private forceChanged;
    private started;
    private savedForm;
    constructor(model: StiModelService, mouseService: StiMouseService);
    start(): void;
    forceChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiChangesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiChangesService>;
}
